PublicApiGetCreditHistory
curl --request GET \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/billing/credits/history \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/billing/credits/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"logs": [
{
"id": "<string>",
"action": "<string>",
"actionResourceId": "<string>",
"workspaceId": "<string>",
"campaignId": "<string>",
"creditsConsumed": 123,
"consumedAt": "<string>",
"balanceAfter": 123,
"refundedAt": "<string>"
}
],
"total": 4503599627370495
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Billing
PublicApiGetCreditHistory
GET /api/v1/organizations//billing/credits/history
GET
/
api
/
v1
/
organizations
/
{orgId}
/
billing
/
credits
/
history
PublicApiGetCreditHistory
curl --request GET \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/billing/credits/history \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/billing/credits/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"logs": [
{
"id": "<string>",
"action": "<string>",
"actionResourceId": "<string>",
"workspaceId": "<string>",
"campaignId": "<string>",
"creditsConsumed": 123,
"consumedAt": "<string>",
"balanceAfter": 123,
"refundedAt": "<string>"
}
],
"total": 4503599627370495
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Use this endpoint through the Developer API or the matching
firstsales CLI command when available. Responses use the stable FirstSales public error envelope.Authorizations
FirstSales developer API key bearer token (fs-key-*).
Path Parameters
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0Pattern:
^\d{4}-\d{2}-\d{2}$Pattern:
^\d{4}-\d{2}-\d{2}$Available options:
manual_email, ai_email_standard, ai_email_premium, lead_find, lead_deep_enrich, lead_probe, maps_find, maps_enrich, ai_research_standard, ai_research_premium, ai_signature_polish, learning_sample_batch, learning_rerank_draft, learning_model_refresh, contact_cleaning, contact_cleaning_refund, copilot_turn, copilot_contact_import, copilot_research, copilot_briefing, thin_domain_enrichment, admin_refund Pattern:
^[0-9a-fA-F]{24}$